## ros-foxy-imu-tools 2.0.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.8)
project(imu_tools)
find_package(ament_cmake REQUIRED)
ament_package()

=== debian/changelog ===
ros-foxy-imu-tools (2.0.3-1focal) focal; urgency=high



 -- Martin Günther <martin.guenther@dfki.de>  Wed, 13 Jul 2022 22:00:00 -0000

ros-foxy-imu-tools (2.0.2-1focal) focal; urgency=high



 -- Martin Günther <martin.guenther@dfki.de>  Mon, 23 May 2022 22:00:00 -0000

ros-foxy-imu-tools (2.0.1-1focal) focal; urgency=high



 -- Martin Günther <martin.guenther1980@gmail.com>  Sun, 01 May 2022 22:00:00 -0000

ros-foxy-imu-tools (2.0.0-1focal) focal; urgency=high

  * Initial release into ROS2 foxy, galactic and rolling
  * Contributors: Martin Günther, tgreier

 -- Martin Günther <martin.guenther1980@gmail.com>  Mon, 11 Apr 2022 22:00:00 -0000

ros-foxy-imu-tools (1.2.2-1focal) focal; urgency=high



 -- Martin Günther <martin.guenther1980@gmail.com>  Sun, 24 May 2020 22:00:00 -0000

ros-foxy-imu-tools (1.2.1-1focal) focal; urgency=high



 -- Martin Günther <martin.guenther1980@gmail.com>  Sun, 05 May 2019 22:00:00 -0000

ros-foxy-imu-tools (1.2.0-1focal) focal; urgency=high



 -- Martin Günther <martin.guenther1980@gmail.com>  Thu, 24 May 2018 22:00:00 -0000

ros-foxy-imu-tools (1.1.5-1focal) focal; urgency=high



 -- Martin Günther <martin.guenther1980@gmail.com>  Tue, 23 May 2017 22:00:00 -0000

ros-foxy-imu-tools (1.1.4-1focal) focal; urgency=high



 -- Martin Günther <martin.guenther1980@gmail.com>  Sun, 21 May 2017 22:00:00 -0000

ros-foxy-imu-tools (1.1.3-1focal) focal; urgency=high



 -- Martin Günther <martin.guenther1980@gmail.com>  Thu, 09 Mar 2017 23:00:00 -0000

ros-foxy-imu-tools (1.1.2-1focal) focal; urgency=high



 -- Martin Günther <martin.guenther1980@gmail.com>  Tue, 06 Sep 2016 22:00:00 -0000

ros-foxy-imu-tools (1.1.1-1focal) focal; urgency=high



 -- Martin Günther <martin.guenther1980@gmail.com>  Tue, 06 Sep 2016 22:00:00 -0000

ros-foxy-imu-tools (1.1.0-1focal) focal; urgency=high



 -- Martin Günther <martin.guenther1980@gmail.com>  Sun, 24 Apr 2016 22:00:00 -0000

ros-foxy-imu-tools (1.0.11-1focal) focal; urgency=high



 -- Martin Günther <martin.guenther1980@gmail.com>  Thu, 21 Apr 2016 22:00:00 -0000

ros-foxy-imu-tools (1.0.10-1focal) focal; urgency=high



 -- Martin Günther <martin.guenther1980@gmail.com>  Thu, 21 Apr 2016 22:00:00 -0000

ros-foxy-imu-tools (1.0.9-1focal) focal; urgency=high



 -- Martin Günther <martin.guenther1980@gmail.com>  Thu, 15 Oct 2015 22:00:00 -0000

ros-foxy-imu-tools (1.0.8-1focal) focal; urgency=high

  * Add imu_complementary_filter to meta package
  * Contributors: Martin Günther

 -- Martin Günther <martin.guenther1980@gmail.com>  Tue, 06 Oct 2015 22:00:00 -0000

ros-foxy-imu-tools (1.0.7-1focal) focal; urgency=high



 -- Martin Günther <martin.guenther1980@gmail.com>  Tue, 06 Oct 2015 22:00:00 -0000

ros-foxy-imu-tools (1.0.6-1focal) focal; urgency=high



 -- Martin Günther <martin.guenther1980@gmail.com>  Mon, 05 Oct 2015 22:00:00 -0000

ros-foxy-imu-tools (1.0.5-1focal) focal; urgency=high



 -- Martin Günther <martin.guenther1980@gmail.com>  Tue, 23 Jun 2015 22:00:00 -0000

ros-foxy-imu-tools (1.0.4-1focal) focal; urgency=high



 -- Martin Günther <martin.guenther1980@gmail.com>  Tue, 05 May 2015 22:00:00 -0000

ros-foxy-imu-tools (1.0.3-1focal) focal; urgency=high



 -- Martin Günther <martin.guenther1980@gmail.com>  Wed, 28 Jan 2015 23:00:00 -0000

ros-foxy-imu-tools (1.0.2-1focal) focal; urgency=high



 -- Martin Günther <martin.guenther1980@gmail.com>  Mon, 26 Jan 2015 23:00:00 -0000

ros-foxy-imu-tools (1.0.1-1focal) focal; urgency=high

  * add me as maintainer to package.xml
  * Contributors: Martin Günther

 -- Martin Günther <martin.guenther1980@gmail.com>  Tue, 09 Dec 2014 23:00:00 -0000

ros-foxy-imu-tools (1.0.0-1focal) focal; urgency=high

  * First public release
  * catkinization of imu_tools metapackage
  * Contributors: Francisco Vina

 -- Martin Günther <martin.guenther1980@gmail.com>  Tue, 02 Sep 2014 22:00:00 -0000

=== debian/control ===
Source: ros-foxy-imu-tools
Section: misc
Priority: optional
Maintainer: Martin Günther <martin.guenther@dfki.de>
Build-Depends: debhelper (>= 9.0.0), ros-foxy-ament-cmake, ros-foxy-ros-workspace
Homepage: http://ros.org/wiki/imu_tools
Standards-Version: 3.9.2

Package: ros-foxy-imu-tools
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-foxy-imu-complementary-filter, ros-foxy-imu-filter-madgwick, ros-foxy-rviz-imu-plugin, ros-foxy-ros-workspace
Description: Various tools for IMU devices

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/foxy/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/foxy" \
		-DAMENT_PREFIX_PATH="/opt/ros/foxy" \
		-DCMAKE_PREFIX_PATH="/opt/ros/foxy" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-foxy-imu-tools//opt/ros/foxy/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_install
